#!/bin/sh

echo "Starting script for counting classes and properties in deltas"
#echo "Before executing this script, you should have calculated the deltas"

folder=deltas
target=deltas_counts
for entry in "$folder"/*
do
  echo "Processing: $entry"
	file_name=$(basename $entry)
	cp "$entry"/added_class_count.tsv "$target"/"$file_name"_added_class_count.tsv
	cp "$entry"/added_prop_count.tsv "$target"/"$file_name"_added_prop_count.tsv
	cp "$entry"/deleted_class_count.tsv "$target"/"$file_name"_deleted_class_count.tsv
	cp "$entry"/deleted_prop_count.tsv "$target"/"$file_name"_deleted_prop_count.tsv
	cp "$entry"/modified_prop_count.tsv "$target"/"$file_name"_modified_prop_count.tsv
done


